--[[
	Snippet to color string by class

New Methods:
	addon:ColorByClass(str[, classStr]) - Returns str wrapped in color tags. Optional classStr used instead of UnitClass(str) if supplied
]]

local addonName, addon = ...

if not addon.ColorByClass then
	local classColorStr = "|cff%.2x%.2x%.2x%s|r"
	function addon:ColorByClass(str, class)
		if not str then return "" end
		class = class or select(2, UnitClass(str))
		if not class then return str end

		local c = (CUSTOM_CLASS_COLORS or RAID_CLASS_COLORS)[class]
		if not c then return str end

		return classColorStr:format(c.r * 255, c.g * 255, c.b * 255, str)
	end
end